Restore a soft-deleted document (project-scoped)
POST
/api/v1/projects/{projectId}/documents/{id}/restore
const url = 'https://api.yggy.tech/api/v1/projects/example/documents/example/restore';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/projects/example/documents/example/restore \ --header 'Authorization: Bearer <token>'Restore a previously soft-deleted document and its triples, scoped to the project.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
id
required
string
Header Parameters
Section titled “Header Parameters ” host
string | null
x-yggy-organization-id
string | null
Responses
Section titled “ Responses ”Document restored
Media type application/json
object
success
required
boolean
Example generated
{ "success": true}Document not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Document is not soft-deleted
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}